Bug 274301 - Arrangement of items in "Navigation" menu not well structured
Summary: Arrangement of items in "Navigation" menu not well structured
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: UI: toplevel window (show other bugs)
Version: 4.2.1
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2011-05-27 20:43 UTC by Wolfgang Bangerth
Modified: 2013-10-08 09:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Bangerth 2011-05-27 20:43:24 UTC
Version:           4.2.1 (using KDE 4.6.0) 
OS:                Linux

Going through the things in the "Navigation" menu, I've found that the items
aren't particularly well grouped (see attached snapshot):
        Last Used Views
        Last Used Views (Reverse)
        Quick Open
        Quick Open File
        .....
        Quick Open Class
        Quick Open Function
        Previous Function
        Next Function
        Outline
        Jump to Declaration
        Jump to Definition
        Previous Visited Context
        Next Visited Context
        Previous Use
        Next Use
        Switch Declaration/Declaration
        ....
        Jump to Next Outputmark
        Jump to Previous Outputmark

I have no idea of Qt/KDE programming, or I'd do it myself. In the interest of
usability, would someone mind changing the order (and separators) to the
following:
        Last Used Views
        Last Used Views (Reverse)
        .....
        Quick Open
        Quick Open File
        Quick Open Class
        Quick Open Function
        .....
        Previous Function
        Next Function
        Outline
        .....
        Jump to Declaration
        Jump to Definition
        Switch Declaration/Declaration
        .....
        Previous Use
        Next Use
        .....
        Previous Visited Context
        Next Visited Context
        ....
        Jump to Next Outputmark
        Jump to Previous Outputmark

A "in principal" approval of such a patch was given by Milian Wolf in
  http://barney.cs.uni-potsdam.de/pipermail/kdevelop-devel/2011-May/040799.html

Reproducible: Always
Comment 1 Meenakshi Khorana 2013-10-07 08:57:07 UTC
Hi,

I have made changes to rc files to show Navigation menu in required format and i am getting menu in above format as well. 

Can someone please confirm if this change has any other dependency.

Regards,

Meenakshi
Comment 2 Kevin Funk 2013-10-08 09:26:07 UTC
Git commit fa7a64068f03850ad7745a4e2bd8927a7a796854 by Kevin Funk, on behalf of Meenakshi Khorana.
Committed on 08/10/2013 at 09:21.
Pushed by kfunk into branch 'master'.

Patch for bug 274301

Arrangement of items in "Navigation" menu not well structured (kdevplatform)
Separated the options group wise in Navigation menu by modifying the corresponding rc files.

M  +5    -5    plugins/contextbrowser/kdevcontextbrowser.rc
M  +7    -7    plugins/quickopen/kdevquickopen.rc

http://commits.kde.org/kdevplatform/fa7a64068f03850ad7745a4e2bd8927a7a796854
Comment 3 Kevin Funk 2013-10-08 09:28:12 UTC
Git commit 42ade7c876a04cfc10996bed819f456cf26284e1 by Kevin Funk, on behalf of Meenakshi Khorana.
Committed on 08/10/2013 at 09:26.
Pushed by kfunk into branch 'master'.

Patch for bug 274301

Arrangement of items in "Navigation" menu not well structured (kdevelop)
Separated the options group wise in Navigation menu by modifying the corresponding rc files.

M  +8    -0    app/kdevelopui.rc
M  +1    -1    languages/cpp/kdevcppsupport.rc

http://commits.kde.org/kdevelop/42ade7c876a04cfc10996bed819f456cf26284e1